Package org.opensaml.profile.criterion

# Class ProfileRequestContextCriterion

java.lang.Object
org.opensaml.profile.criterion.ProfileRequestContextCriterion

All Implemented Interfaces:
  `Criterion`

public final class ProfileRequestContextCriterion extends Object implements Criterion
`Criterion` representing a `ProfileRequestContext`.

Since:
  4.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ProfileRequestContext`
`profileRequestContext`
The `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`ProfileRequestContextCriterion(ProfileRequestContext prc)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`ProfileRequestContext`
`getProfileRequestContext()`
Gets the profile request context.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### profileRequestContext

@Nonnull private final ProfileRequestContext profileRequestContext
The `ProfileRequestContext`.

## Constructor Details

### ProfileRequestContextCriterion

public ProfileRequestContextCriterion(@Nonnull ProfileRequestContext prc)
Constructor.

Parameters:
  `prc` - the profile request context

## Method Details

### getProfileRequestContext

@Nonnull public ProfileRequestContext getProfileRequestContext()
Gets the profile request context.

Returns:
  the profile request context

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`